// (c) Copyright 2001-2002 iwombat.com all rights reserved
 
package com.iwombat.util;
  

/**
 * Exception thrown when attempting to access Variants as an
 * via a datatype incompatable with the variant. Does NOT extend from 
 * foundation IWombatRuntimeException for package integrity reasons. 
 * This supports a generic utility class - Variant.
 *
 * @author  $Author: bob $
 * @version $Revision: 1.4 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:54:16 $</dd></dl>
 */

public final class VariantIllegalTypeException extends RuntimeException {

    /**
     * Creates new <code>VariantIllegalTypeException</code> without detail message.
     */

    public VariantIllegalTypeException() {}

    /**
     * Constructs an <code>VariantIllegalTypeException</code> with the specified detail message.
     * @param msg the detail message.
     */

    public VariantIllegalTypeException(String msg) {
        super(msg);
    }
}
