/*
 * ComprehensiveDomainObjectImpl.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.*;
import com.iwombat.util.ByteArray;

import java.util.Date;

public class ComprehensiveDomainObjectImpl extends AbstractDomainObject implements ComprehensiveDomainObject{
    
    private Identifier identifierValue;
    private Float floatValue;
    private Long longValue;
    private String stringValue;
    private ByteArray byteArrayValue;
    private Boolean booleanValue;
    private Date dateValue;
    
    /** Creates a new instance of ComprehensiveDomainObjectImpl */
    public ComprehensiveDomainObjectImpl() {
        super();
    }
    
    public Identifier getIdentifierValue(){
        return this.identifierValue;
    }
    
    public void setIdentifierValue(Identifier identifierValue){
        this.identifierValue=identifierValue;
    }
    
    public Float getFloatValue(){
        return this.floatValue;
    }
    
    public void setFloatValue(Float floatValue){
        this.floatValue=floatValue;
    }
    
    public Long getLongValue(){
        return this.longValue;
    }
    
    public void setLongValue(Long longValue){
        this.longValue=longValue;
    }
    
    public String getStringValue(){
        return this.stringValue;
    }
    
    public void setStringValue(String stringValue){
        this.stringValue=stringValue;
    }
    
    public ByteArray getByteArrayValue(){
        return this.byteArrayValue;
    }
    
    public void setByteArrayValue(ByteArray byteArrayValue){
        this.byteArrayValue=byteArrayValue;
    }
    
    public Boolean getBooleanValue(){
        return this.booleanValue;
    }
    
    public void setBooleanValue(Boolean booleanValue){
        this.booleanValue=booleanValue;
    }
    
    public Date getDateValue(){
        return this.dateValue;
    }
    
    public void setDateValue(Date dateValue){
        this.dateValue=dateValue;
    }
    
}
