
package com.iwombat.util;

import junit.framework.*;

/**
 * Description
 *
 * @author  $Author: bob $
 * @version $Revision: 1.1 $
 *              $Date: 2002/07/27 04:21:28 $
 *
 */
                            
public class BeanUtilTest extends TestCase {
    
    public BeanUtilTest(java.lang.String testName) {
        super(testName);
    }        
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(BeanUtilTest.class);
        return suite;
    }

    // Add test methods here, they have to start with 'test' name.
    // for example: 
    // public void testHello() {}

    public void testProtoBeanCopy() {
        ProtoSampleBean protoBean = new ProtoSampleBean();
        protoBean.setSampleString("proto");
        protoBean.setSampleInt(42);
        protoBean.setSampleBoolean(true);
        protoBean.setSampleLong(12345678790L);
              
        SampleBean sample = (SampleBean)BeanUtil.synchronizeData(new SampleBean(), protoBean, ISampleBean.class);
        
        //put asserts here
        assertTrue("Integer fields are not equal", protoBean.getSampleInt() == sample.getSampleInt());
        assertTrue("Boolean fields are not equal", protoBean.getSampleBoolean() == sample.getSampleBoolean());
        assertTrue("Long fields are not equal", protoBean.getSampleLong() == sample.getSampleLong());
        assertTrue("String fields are not equal", protoBean.getSampleString().equals(sample.getSampleString()));
    }
        
        
}
