// (c) 2001-2002 iWombat.com All rights reserved
  

package com.iwombat.util;

import junit.framework.*;

/**
 * Tests some basic functionality of GUIDUtil
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 */
                            
public class GUIDUtilTest extends TestCase {
    
    public GUIDUtilTest(java.lang.String testName) {
        super(testName);
    }        
    
    
    public static Test suite() {
        TestSuite suite = new TestSuite(GUIDUtilTest.class);
        return suite;
    }

    public static void testGUIDConversion() {
        String guid1 = "{488b41a4-0407-0410-824b-cf5a69e234d9}";
        String hex1 = "a4418b4807041004824bcf5a69e234d9";

        String guid2 = "{b1c34e35-86f1-4395-aa78-8db199cfed40}";
        String hex2 = "354ec3b1f1869543aa788db199cfed40";

        String derivedHex1 = GUIDUtil.hexStringFromGUID(guid1);
        assertTrue("hexStringFromGUID failed", hex1.equals(derivedHex1));

        String derivedGUID1 = GUIDUtil.guidStringFromHexString(hex1);
        assertTrue("hexStringFromGUID failed", guid1.equals(derivedGUID1));

   }

}
