// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Represents an instance of a transaction
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 19:23:36 $</dd></dl>
 */
public interface TransactionInstance {

    /**
     * Commits this transaction
     */
    public void commit();
    
    /**
     * Aborts this transaction
     */
    public void abort();
    
}
