/*
 * SaladShooterImpl.java
 *
 */

package com.iwombat.ri.kitchentools;

/**
 *
 */
import com.iwombat.foundation.AbstractDomainObject;
import com.iwombat.foundation.Identifier;

public class SaladShooterImpl extends AbstractDomainObject implements SaladShooter{
    
    private String model = null;
    private String features = null;
    
    /** Creates a new instance of Model */
    public SaladShooterImpl() {
        super();
    }
    
    public SaladShooterImpl(Identifier id){
        super(id);
    }
    
    public String getModel(){
        return this.model;
    }
    
    public void setModel(final String newModel){
        this.model=newModel;
        setIsDirty(true);
    }
    
    public String getFeatures(){
        return this.features;
    }
    
    public void setFeatures(final String newFeatures){
        this.features=newFeatures;
        setIsDirty(true);
    }
}
