// (c) 2001-2002 iWombat.com All rights reserved
  

package com.iwombat.util;

import junit.framework.*;
import java.util.ArrayList;
import java.util.Iterator;

/**
 * Tests some basic functionality of StringUtil
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * @date    $Date: 2002/02/10 20:18:42 $
 */
                            
public class StringUtilTest extends TestCase {
    
    public StringUtilTest(java.lang.String testName) {
        super(testName);
    }        
    
    
    public static Test suite() {
        TestSuite suite = new TestSuite(StringUtilTest.class);
        return suite;
    }

    public void testReplace() {
        String beforeStr = "Some text with one replaceMe entry and another replaceMe entry";
        String afterStr = "Some text with one replaced entry and another replaced entry";
        String toReplace = "replaceMe";
        String replacement = "replaced";
        
        beforeStr = StringUtil.replaceString(beforeStr, toReplace, replacement);
        assertTrue("String replacement failed- \n target:" + beforeStr + "\nto match:" + afterStr, 
                    beforeStr.equals(afterStr)); 
        
    }
    
    public void testSplit() {
        String[] referenceStringList = {"One", "Two", "Three", "Four", "Five"};
        String delimiter = ",";
        
        StringBuffer strBuf = new StringBuffer();

        int i;
        for (i=0; i<referenceStringList.length-1; i++) {
            strBuf.append(referenceStringList[i]);
            strBuf.append(delimiter);
        }
        strBuf.append(referenceStringList[i]);
        
        ArrayList strList = StringUtil.splitString(strBuf.toString(), delimiter);
        
        Iterator iterator = strList.iterator();
        i = 0;
        while (iterator.hasNext()) {
            String checkStr = referenceStringList[i++];
            String element = (String)iterator.next();
            assertTrue("String list element# " + i + " does not match ArrayList element", checkStr.equals(element));
        }
    }


}
